Posts tagged "jdk"

LiveCycle ES2: UnsupportedClassVersionError: (oracle/jdbc/OracleDriver) bad major version at offset=6

Issue

If you are attempting to configure Adobe LiveCycle server using the LiveCycle Configuration Manager (LCM) with an Oracle database, you may encounter the following exception during the DB configuration step:

Caused by: java.lang.UnsupportedClassVersionError:
(oracle/jdbc/OracleDriver) bad major version at offset=6
 at java.lang.ClassLoader.defineClassImpl(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:258)
 at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:151)
 at java.net.URLClassLoader.defineClass(URLClassLoader.java:589)
 at java.net.URLClassLoader.access$400(URLClassLoader.java:123)
 at java.net.URLClassLoader$ClassFinder.run(URLClassLoader.java:1034)
 at java.security.AccessController.doPrivileged(AccessController.java:279)
 at java.net.URLClassLoader.findClass(URLClassLoader.java:491)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:631)
 at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:349)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:597)
 at java.lang.Class.forNameImpl(Native Method)
 at java.lang.Class.forName(Class.java:130)
 at com.adobe.livecycle.cdv.validator.DBValidator.validateDB(DBValidator.java:174)

Reason

This error can occur if you are not using the correct Oracle DB driver, or the correct Java JDK for your platform.

Solution

You should check the Oracle DB driver and JDK version required in the relevant platform matrix.  With LiveCycle ES2 for example the platform matrix is located here:

http://help.adobe.com/en_US/LiveCycle/9.5/supported_platforms.html

So if you were to install LiveCycle ES2 on AIX 5.3 with WebSphere 7, you should be using the 64-bit JDK 1.6 SR7 provided by WebSphere (WAS_HOME/AppServer/java), and the ojdbc6.jar Oracle driver.

Be sure to set the JAVA_HOME and PATH environment variables as instructed in http://help.adobe.com/en_US/livecycle/9.0/prepareinstallsingle.pdf

VN:F [1.9.22_1171]
Was this helpful? Please rate the content.
Rating: 7.3/10 (3 votes cast)

LiveCycle 7: MissingResourceException in FontManagerService during LiveCycle startup

Issue

You may encounter problems starting the application server with LC7 installed where it can take up to an hour to start, or you may get the following exceptions:

FontManagerService: Exception while attempting to read initialization properties from com/adobe/config/FontManagerService-init

java.util.MissingResourceException: Can’t find bundle for base name com/adobe/config/FontManagerService-init, locale de_DE

Reason

These problems occur when using JDK version 1.4.2_10.  This JDK version has backwards compatibility issues and is therefore not supported for LC7.

Solution

 Use a different supported JDK version and this will resolve the issues.

reference: (1-21393042)

VN:F [1.9.22_1171]
Was this helpful? Please rate the content.
Rating: 0.0/10 (0 votes cast)

LiveCycle 7: LCMerror101 trying to run ConfigurationManager

Issue

If you have successfully installed Workflow, FormServer or FormManager and then run LiveCycle Configuration Manager (LCM), you may receive the following error:

Configuration Manager Errors

Error Code:LCMerror101

Message: Livecycle modules could not be copied to working directory.

Reason

 This is due to the version of the JDK being used: JDK 1.4.2_10.  This JDK version has broken backwards compatibility, and so is not supported for LC7.

Solution

 Use a different JDK version and this will resolve the problem.

reference: (1-21322849)

VN:F [1.9.22_1171]
Was this helpful? Please rate the content.
Rating: 0.0/10 (0 votes cast)